Bug 103503 - [OOPS] w83781d when modprobing
[OOPS] w83781d when modprobing
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-09-01 07:51 EDT by Ted Kaczmarek
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ted Kaczmarek 2003-09-01 07:51:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
This applies to all kernel versions since w83781d was brought in from the
lm_sensors project.

The subclients of w83781d are never registered with i2c_attach_client(). But,
w83781d_detach_client() tries to i2c_detach_client() them anyway. This was
harmless, until i2c-core was "listified"... because the old array method
silently ignored the attempt to detach a non-existent client.
The latest lm_sensors CVS of w83781d has the necessary i2c_attach_client() calls
- not sure why they were removed during conversion to 2.5.x. Do we intend to
attach these subclients or not?

Post from "Mark M. Hoffman"

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.modprobe i2c-amd756
2.modprobe w83781d

Actual Results:  oops

Expected Results:  module loads

Additional info:

This module was loading properly with the earlier kernel for RH9.
Comment 1 Ted Kaczmarek 2003-11-30 00:07:15 EST
Still happening with Fedora Core 1 and kernel-smp-2.4.22-1.2115.nptl.
Comment 2 Bugzilla owner 2004-09-30 11:41:29 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.